/* Copyright (C) 2002 Matthias S. Benkmann <m.s.b@gmx.net>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License (ONLY THIS VERSION).

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package domino.logic;

/**
* <code>ConflictingBindException</code> is thrown when the unification
* of two <code>FormulaSyntaxNet</code>s fails.
*/
public class ConflictingBindException extends RuntimeException
{
  /** Constructs a <code>ConflictingBindException</code> with no detail message. */
  public ConflictingBindException(){};
  /** Constructs a <code>ConflictingBindException</code> with the specified 
  * detail message */
  public ConflictingBindException(String s){super(s);};
};
