/* Copyright (C) 2002 Matthias S. Benkmann <m.s.b@gmx.net>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License (ONLY THIS VERSION).

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package domino.core;

/**
* The class <code>Debugging</code> carries global switches to turn debugging
* tests on or off.
*/
public class Debugging
{
  /**
  * If set to <code>false</code>, all debugging tests are disabled.
  */
  public final static boolean enabled=false;
  
  /**
  * If set to <code>true</code>, expensive debugging tests are enabled
  * (unless <code>{@link #enabled}==true</code>).
  */
  public final static boolean expensiveTestsEnabled=true;
};
