<?xml version="1.0" encoding="iso-8859-1"?>

<!-- This stylesheet lists all links without an entry in the link list whose
     URI is passed through the linklist string parameter -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" version="1.0" encoding="iso-8859-1"
            indent="yes"
            media-type="text/xml"/>

<xsl:param name="linklist" select="''"/>
            
<xsl:template match="/">
  <links>
    <xsl:for-each select="/descendant::link">
      <xsl:sort select="normalize-space(concat(at,to))"/>
      <xsl:variable name="id" select="normalize-space(concat(at,to))"/>
      <xsl:if test="not(preceding::link[normalize-space(concat(at,to))=$id]|ancestor::link[normalize-space(concat(at,to))=$id])">      
        <xsl:if test="$linklist='' or not(document($linklist)/links/link[@id=$id])">
          <link id="{$id}" ref=""/>&#10;
        </xsl:if>
      </xsl:if>  
    </xsl:for-each>
  </links>  
</xsl:template>

</xsl:stylesheet>

